petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSectionSetOffset

Set the offset into an array or local Vec for the dof associated with the given point.

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionSetOffset(PetscSection s, PetscInt point, PetscInt offset)

Not collective

### Input Parameters

| s | - the PetscSection
| point | - the point
| offset | - the offset

Note: The user usually does not call this function, but uses PetscSectionSetUp()

### See Also

PetscSectionGetFieldOffset(), PetscSectionCreate(), PetscSectionSetUp()

### Level

intermediate

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages